:root {
  --safe-top: env(safe-area-inset-top);
  --safe-right: env(safe-area-inset-right);
  --safe-bottom: env(safe-area-inset-bottom);
  --safe-left: env(safe-area-inset-left);
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  background: #cdeae0;
  -ms-touch-action: none;
}

* {
  box-sizing: border-box;
}

body,
canvas,
div {
  display: block;
  outline: none;
  -webkit-tap-highlight-color: transparent;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

body {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  padding: 0;
  border: 0;
  margin: 0;
  overflow-x: hidden;
  cursor: default;
  color: #66756e;
  background: #cdeae0;
  text-align: center;
  font-family: "PingFang SC", "Microsoft YaHei", Helvetica, Arial, sans-serif;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  margin: 0;
  -webkit-appearance: none;
}

input.cocosEditBox,
textarea.cocosEditBox {
  max-width: 100%;
  font-size: 16px !important;
  touch-action: manipulation;
}

canvas {
  background: transparent;
}

#GameDiv,
#Cocos3dGameContainer,
#GameCanvas {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

#GameDiv {
  position: absolute;
  top: 0;
  left: 0;
}
